<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/ll_bottom"
            android:layout_width="match_parent"
            android:layout_height="60mm"
            android:layout_alignParentBottom="true"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:layout_marginLeft="15mm"
                android:text="总计: ¥ "
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_ok"
                android:layout_width="80mm"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:background="@color/red_btn_bg"
                android:gravity="center"
                android:text="确定"
                android:textColor="@color/white" />
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/ll_bottom"
            android:orientation="vertical">
            <LinearLayout
                android:id="@+id/ll_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="horizontal"
                android:paddingHorizontal="20mm"
                android:paddingVertical="10mm">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/shape_client_search"
                    android:gravity="center_vertical"
                    android:paddingHorizontal="10mm">

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="15mm"
                        android:src="@mipmap/client_search" />

                    <EditText
                        android:id="@+id/et_key"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="2mm"
                        android:background="@null"
                        android:hint="输入仓库名称"
                        android:textColor="#91ABBA"
                        android:textColorHint="#91ABBA"
                        android:textSize="14sp" />
                </LinearLayout>


                <Button
                    android:id="@+id/btn_search"
                    android:layout_width="60mm"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:background="@color/mainTextColor"
                    android:text="搜索"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="货品信息"
                    android:textSize="16sp" />

                <TextView
                    android:id="@+id/tv_count_desc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="16sp" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_product"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                />

        </LinearLayout>

    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>